//*************************************************************
 /**
 * システム名     コア物品／発注者
 * サブシステム名 発注者
 *
 * 証明書等審査判定機能
 * @author  NEC
 * @version 1.0, 2002.07.23, 新規作成<BR>
 *          1.1, 2003.08.28, 連絡票126対応<BR>
 */
//*************************************************************

//--------------------------------
// HTML読込み時処理
//--------------------------------
function onStart()
{
  onLoad();
}//onStart

//--------------------------------
// 戻るボタン押下時処理
//--------------------------------
function onReturn()
{
  dispatch( document.formRegist, 'H502HPD001' )
}//onReturn

//---------------------------------------------------
// 案件情報詳細表示
//---------------------------------------------------
function showProjectDetail()
{
  dispatchPopup( document.formRegist, 'H509HPR005' );
}//showProjectDetail

//---------------------------------------------------
// 業者情報詳細表示
//---------------------------------------------------
function showCompanyDetail( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;

  dispatchPopup( document.formRegist, 'H536HTS004' );
}//showCompanyDetail

//--------------------------------
// 最新表示ボタン押下時処理
//--------------------------------
function onUpdate()
{
  dispatch( document.formRegist, 'H502HCE001' )
}//onUpdate

/* 次画面遷移処理、送信対象用FORMにパラメータを設定し、POST送信処理を行う */
function moveScreenSakusei(SelectID) {
  /* 受注者番号 */
  var ObjectTemp=eval("document.formProject.companyNumber_" + SelectID);
  document.formHCE0011.companyNumber.value = ObjectTemp.value;
  
  /* 審査結果 */
  var SelectTemp=eval("document.formProject.licenceFlag_" + SelectID);
  document.formHCE0011.licenceFlag.value = SelectTemp.value;

  /* 証明書等受付日時 */
  var AcceptDateTemp=eval("document.formProject.certificateDocAcceptTime_" + SelectID);
  document.formHCE0011.certificateDocAcceptTime.value = AcceptDateTemp.value;

  /* 理由 */
  var ReasonTemp=eval("document.formProject.reason_" + SelectID);
  document.formHCE0011.reason.value = ReasonTemp.value;

  dispatch( document.formHCE0011, "H561HCE002" );
}

/* 審査結果通知の一括発行処理 */
function createAllResultNotice(){

  //一覧を含んだFORMを取得する
  var frm = document.formProject;

  //一覧の行数
  var rowCount = parseInt( frm.resultDataCount.value );

  //発行可能なデータがあるかどうかのフラグ
  var hasPublishdata = false;
  
  for( var i = 0 ; i < rowCount; i ++){
    if( frm[ "enablePublish_" + i ].value == "true" ){
      hasPublishdata = true;
      break;
    }
  }

  //発行可能な業者がなければメッセージを表示して終了
  if( ! hasPublishdata ){
    alert("審査結果を通知する業者はありません。");
    return;
  }

  dispatch( document.formProject, "H5611HCE002" );
  
}
